#ifndef Q3SHADER_H_
#define Q3SHADER_H_

#include <map>

#include <espace/plugins.h>

class Q3ShaderData;

class Q3Shader : public ShaderPlugin
{
  uint32_t id();
  bool     canHandle(File& file);

  void     initialize();

  Shader*  acquire(const char* name, bool mipmaps = true);

protected:

  static std::map<String, Q3ShaderData*> shaders;
};

#endif // !Q3SHADER_H_

// vim: ts=2 sw=2 et
